%define name libgadu
%define version 1.12.1
%define release %mkrel 1

%define major 3
%define libname %mklibname gadu %{major}
%define develname %mklibname gadu -d

Summary:	A Gadu-gadu protocol compatibile library
Summary(de):	Eine Gadu-gadu Protokoll kompatible Bibliothek
Summary(pl):	Biblioteka do obsługi protokołu komunikatora Gadu-Gadu
Name:		%name
Version:	%version
Release:	%release
License:	LGPLv2+
Group:		Networking/Instant messaging
Url:		http://toxygen.net/libgadu
Source0:	http://toxygen.net/libgadu/files/%{name}-%{version}.tar.xz
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
Obsoletes:  	%name < %version
BuildRequires:	doxygen
BuildRequires:	gnutls-devel


%description
The libgadu is intended to make it easy to add Gadu-Gadu communication
support to your software.

#german
%description -l de
Die libgadu vereinfacht, die Gadu-Gadu Kommunikation Unterstützung in Ihrer Software.

#Polish
%description -l pl
Libgadu jest biblioteką przeznaczoną do obsługi protokołu komunikatora Gadu-Gadu.

%package -n %{libname}
Summary:	A Gadu-gadu protocol compatibile library
Summary(de):	Eine Gadu-gadu Protokoll kompatible Bibliothek
Group:		Networking/Instant messaging

%description -n %{libname}
The libgadu is intended to make it easy to add Gadu-Gadu communication
support to your software.

#german
%description -n %{libname} -l de
Die libgadu vereinfacht, die Gadu-Gadu Kommunikation Unterstützung in Ihrer Software.

#pl
%description -n %{libname} -l pl
libgadu umożliwia łatwe dodanie do różnych aplikacji komunikacji
bazującej na protokole Gadu-Gadu.

%package -n %{develname}
Summary:	Development files for libgadu library
Summary(de):	Entwickler Dateien - libgadu Bibliothek
Group:		Development/Libraries
Provides:	%{name}-devel = %{version}-%{release}
Provides:	gadu-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}
Obsoletes:	%{mklibname gadu 3 -d} < %{version}-%{release}
Obsoletes:	%{mklibname gadu -s -d} < %{version}-%{release}

%description -n %{develname}
Development files for libgadu library.

#german
%description -n %{develname} -l de
Entwickler Dateien für die libgadu Bibliothek.

#pl
%description -n %{develname} -l pl
Pakiet libgadu-devel zawiera pliki nagłówkowe i dokumentację,
potrzebne do kompilowania aplikacji korzystających z libgadu.


%prep
%setup -qn %{name}-%{version}

%build
%configure2_5x \
	--disable-static \
	--with-pthread \
	--without-bind \
	--without-openssl \
	--with-c99-vsnprintf

%make

%install
rm -rf %buildroot
%makeinstall_std

#we dont ship this
rm -rf %buildroot/%{_libdir}/%{name}.la

%clean
rm -rf %buildroot

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/%{name}.so.*

%files -n %{develname}
%defattr(-,root,root)
%{_includedir}/%{name}.h
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc

%changelog
* Thu Dec 03 2015 bb <bb> 1.12.1-1pclos2015
- update

* Fri Oct 31 2014 bb <bb> 1.12.0-1pclos2014
- update

* Tue Jul 17 2012 ghostbunny <hmhaase at pclinuxosusers dot de> 1.11.2-2pclos2012
- commented %{_libdir}/%{name}.so in normal lib package to prevent instaling of devel packages
  for the non devel lib

